..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

==========
transpiler
==========

DistributeTranspiler
--------------------

..  autoclass:: paddle.fluid.transpiler.DistributeTranspiler
    :members:
    :noindex:

InferenceTranspiler
-------------------

..  autoclass:: paddle.fluid.transpiler.InferenceTranspiler
    :members:
    :noindex:

memory_optimize
---------------

..  autofunction:: paddle.fluid.transpiler.memory_optimize
    :noindex:

release_memory
--------------

..  autofunction:: paddle.fluid.transpiler.release_memory
    :noindex:

HashName
--------

..  autoclass:: paddle.fluid.transpiler.HashName
    :members:
    :noindex:

RoundRobin
----------

..  autoclass:: paddle.fluid.transpiler.RoundRobin
    :members:
    :noindex:
